using System;

using HISClinic.DataModel;
using HISClinic.DataServices;

namespace HISClinic.BLL
{
	/// <summary>
	/// Department 的摘要说明。
	/// </summary>
	public class Department
	{
		public Department()
		{
			//
			// TODO: 在此处添加构造函数逻辑
			//
		}

		/// <summary>
		/// 获取门诊科室
		/// </summary>
		/// <returns></returns>
		public DepartmentsEx GetDepartment()
		{
			DepartmentsEx departmentsEx=(new DepartmentMapper()).GetDepartment();
			return (departmentsEx.t_Department.Rows.Count>0)?departmentsEx:null;
		}
	}
}
